#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <linux/kdev_t.h>
#include <rsbac/types.h>
#include <rsbac/syscalls.h>
#include <rsbac/getname.h>
#include <rsbac/error.h>

int main(int argc, char ** argv)
{
  int res = 0;
  enum rsbac_security_level_t seclevel;
  char * progname;
  int verbose = 0;
  
  progname = argv[0];
  if ((argc > 1) && (!strcmp("-v",argv[1])) )
    {
      verbose=1;
      argv++;
      argc--;
    }  
  if (argc >= 3)
    {
      seclevel=strtol(argv[1],0,0);
      if(verbose)
        printf("%s: executing %s with maximum_sec_level %i\n",
               progname,argv[2],seclevel);
      res = rsbac_mac_set_max_seclevel(seclevel);
      error_exit(res);
      res = execvp(argv[2],&argv[2]);
      error_exit(res);
    }
  else
    {
      printf("%s (RSBAC %s)\n***\n", argv[0], VERSION);
      printf("Use: %s [-v] seclevel prog args\n", progname);
      printf("This program will set rsbac_mac_max_seclevel to seclevel and then\n");
      printf("execute prog via execvp()\n");
      printf("-v = verbose\n");
    }
  return (res);
}

